Page MenuHomePhabricator

Hashtags | Timeout while using Hashtags tool | 502 Bad Gateway
Closed, DuplicatePublic

Description

We get a timeout while accesing https://tools.wmflabs.org/hashtags

We can't follow 1lib1ref project with this.

Curl result

mauricio@Hideyoshi:~$ curl -v https://tools.wmflabs.org/hashtags/search/1bib1ref?lang=es&startdate=2018-05-15&enddate=2018-06-05
[3] 2600
[4] 2601
[2] Hecho startdate=2018-05-15
mauricio@Hideyoshi:~$ * Trying 208.80.155.131...

  • TCP_NODELAY set
  • Connected to tools.wmflabs.org (208.80.155.131) port 443 (#0)
  • ALPN, offering h2
  • ALPN, offering http/1.1
  • Cipher selection: ALL:!EXPORT:!EXPORT40:!EXPORT56:!aNULL:!LOW:!RC4:@STRENGTH
  • successfully set certificate verify locations:
  • CAfile: /etc/ssl/certs/ca-certificates.crt CApath: /etc/ssl/certs
  • TLSv1.2 (OUT), TLS header, Certificate Status (22):
  • TLSv1.2 (OUT), TLS handshake, Client hello (1):
  • TLSv1.2 (IN), TLS handshake, Server hello (2):
  • TLSv1.2 (IN), TLS handshake, Certificate (11):
  • TLSv1.2 (IN), TLS handshake, Server key exchange (12):
  • TLSv1.2 (IN), TLS handshake, Server finished (14):
  • TLSv1.2 (OUT), TLS handshake, Client key exchange (16):
  • TLSv1.2 (OUT), TLS change cipher, Client hello (1):
  • TLSv1.2 (OUT), TLS handshake, Finished (20):
  • TLSv1.2 (IN), TLS change cipher, Client hello (1):
  • TLSv1.2 (IN), TLS handshake, Finished (20):
  • SSL connection using TLSv1.2 / ECDHE-RSA-AES256-GCM-SHA384
  • ALPN, server accepted to use h2
  • Server certificate:
  • subject: C=US; ST=California; L=San Francisco; O=Wikimedia Foundation, Inc.; CN=*.wmflabs.org
  • start date: Aug 30 19:21:01 2017 GMT
  • expire date: Nov 16 15:41:05 2018 GMT
  • subjectAltName: host "tools.wmflabs.org" matched cert's "*.wmflabs.org"
  • issuer: C=BE; O=GlobalSign nv-sa; CN=GlobalSign Organization Validation CA - SHA256 - G2
  • SSL certificate verify ok.
  • Using HTTP2, server supports multi-use
  • Connection state changed (HTTP/2 confirmed)
  • Copying HTTP/2 data in stream buffer to connection buffer after upgrade: len=0
  • Using Stream ID: 1 (easy handle 0x5588fed649e0)

GET /hashtags/search/1bib1ref?lang=es HTTP/2
Host: tools.wmflabs.org
User-Agent: curl/7.58.0
Accept: */*

  • Connection state changed (MAX_CONCURRENT_STREAMS updated)!

mauricio@Hideyoshi:~$ curl -v https://tools.wmflabs.org/hashtags/

  • Trying 208.80.155.131...
  • TCP_NODELAY set
  • Connected to tools.wmflabs.org (208.80.155.131) port 443 (#0)
  • ALPN, offering h2
  • ALPN, offering http/1.1
  • Cipher selection: ALL:!EXPORT:!EXPORT40:!EXPORT56:!aNULL:!LOW:!RC4:@STRENGTH
  • successfully set certificate verify locations:
  • CAfile: /etc/ssl/certs/ca-certificates.crt CApath: /etc/ssl/certs
  • TLSv1.2 (OUT), TLS header, Certificate Status (22):
  • TLSv1.2 (OUT), TLS handshake, Client hello (1):
  • TLSv1.2 (IN), TLS handshake, Server hello (2):
  • TLSv1.2 (IN), TLS handshake, Certificate (11):
  • TLSv1.2 (IN), TLS handshake, Server key exchange (12):
  • TLSv1.2 (IN), TLS handshake, Server finished (14):
  • TLSv1.2 (OUT), TLS handshake, Client key exchange (16):
  • TLSv1.2 (OUT), TLS change cipher, Client hello (1):
  • TLSv1.2 (OUT), TLS handshake, Finished (20):
  • TLSv1.2 (IN), TLS change cipher, Client hello (1):
  • TLSv1.2 (IN), TLS handshake, Finished (20):
  • SSL connection using TLSv1.2 / ECDHE-RSA-AES256-GCM-SHA384
  • ALPN, server accepted to use h2
  • Server certificate:
  • subject: C=US; ST=California; L=San Francisco; O=Wikimedia Foundation, Inc.; CN=*.wmflabs.org
  • start date: Aug 30 19:21:01 2017 GMT
  • expire date: Nov 16 15:41:05 2018 GMT
  • subjectAltName: host "tools.wmflabs.org" matched cert's "*.wmflabs.org"
  • issuer: C=BE; O=GlobalSign nv-sa; CN=GlobalSign Organization Validation CA - SHA256 - G2
  • SSL certificate verify ok.
  • Using HTTP2, server supports multi-use
  • Connection state changed (HTTP/2 confirmed)
  • Copying HTTP/2 data in stream buffer to connection buffer after upgrade: len=0
  • Using Stream ID: 1 (easy handle 0x564202c849e0)

GET /hashtags/ HTTP/2
Host: tools.wmflabs.org
User-Agent: curl/7.58.0
Accept: */*

  • Connection state changed (MAX_CONCURRENT_STREAMS updated)!

< HTTP/2 502
< server: nginx/1.13.6
< date: Sat, 26 May 2018 14:39:11 GMT
< content-type: text/html
< content-length: 173
<
<html>
<head><title>502 Bad Gateway</title></head>
<body bgcolor="white">
<center><h1>502 Bad Gateway</h1></center>
<hr><center>nginx/1.13.6</center>
</body>
</html>

  • Connection #0 to host tools.wmflabs.org left intact

<html>
<head><title>502 Bad Gateway</title></head>
<body bgcolor="white">
<center><h1>502 Bad Gateway</h1></center>
<hr><center>nginx/1.13.6</center>
</body>
</html>

Event Timeline

Lahi created this task.May 26 2018, 2:35 PM
Lahi updated the task description. (Show Details)May 26 2018, 2:38 PM
Lahi updated the task description. (Show Details)
Lahi renamed this task from Hashtags | Timeout while using Hashtags tool to Hashtags | Timeout while using Hashtags tool | 502 Bad Gateway.May 26 2018, 2:50 PM
Vvjjkkii renamed this task from Hashtags | Timeout while using Hashtags tool | 502 Bad Gateway to 97baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from 97baaaaaaa to Hashtags | Timeout while using Hashtags tool | 502 Bad Gateway.Jul 2 2018, 3:42 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)